.signout svg {
    color: red;
}

.timestamp {
    font-size: 0.7em;
    font-weight: 100;
}

.hidden{
    display: none;
}

/*--------------------------------------------------------------------------------------------------------------------*/
.pace {
    -webkit-pointer-events: none;
    pointer-events: none;

    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
}

.pace-inactive {
    display: none;
}

.pace .pace-progress {
    background: #29d;
    position: fixed;
    z-index: 2000;
    top: 0;
    right: 100%;
    width: 100%;
    height: 2px;
}

/*--------------------------------------------------------------------------------------------------------------------*/
.friend-card {
    min-height: 300px;
    min-width: 300px;
    padding: 14px;
}

.friend-card .card-title {
    cursor: pointer;
}

.friend-card .action-container {
    text-align: left;
}

.friend-card .delete-container {
    float: right;
}

.friend-card .delete-friend {
    height: 35px;
    width: 35px;
    float: right;
    color: #ff3907;
    cursor: pointer
}

.friend-card-img {
    height: 200px;
    width: 200px;
    margin-left: auto;
    margin-right: auto;
}

.friend-request-card {
    display: flex;
    flex-direction: row;
    padding: 10px;
    align-items: center;
}

.friend-request-card .action-container {
    float: right !important;
    margin-left: auto
}

.friend-request-card-img {
    height: 50px;
    width: 50px;
}

/*--------------------------------------------------------------------------------------------------------------------*/
.status-container {
    position: relative;
    min-height: 40px;
}

.status-content {
    margin: auto !important;
    white-space: pre-line;
    font-size: 1.4em;
}

.timestamp {
    font-size: 0.7em;
    font-weight: 100;
}

.status-action-container {
    height: 30px;
    z-index: 10;
    position: absolute;
    right: 5px;
    top: 5px;
    visibility: hidden;
}

.status-action-container div {
    display: inline-block;
}

.status-container:hover .status-action-container {
    visibility: visible;
}

.btn-edit-status {
    height: 30px;
    width: 30px;

}

.btn-edit-status svg:hover {
    color: #38e862;
}

.btn-edit-status svg:active {
    color: #2baa48;
}

.btn-delete-status {
    height: 30px;
    width: 30px;

}

.btn-delete-status svg:hover {
    color: #ff3907;
}

.btn-delete-status svg:active {
    color: #b12805;
}

.btn-send-comment {
    height: 30px;
    width: 30px;
    display: inline-block;
    text-align: center;
    cursor: pointer;
}

.btn-send-comment svg:hover {
    color: #0296ff;
}

.btn-send-comment svg:active {
    color: #015b9e;
}

.comment-input {
    height: 30px;
}

.comments-section {

}

.comment-container {

}

.comment-content {
    display: inline-block;
    margin-left: 5px;
}

.comment-owner {
    display: inline-block;
    font-weight: 500;
    color: black;
}

.comment-owner:hover {
    text-decoration: none;
}

.comment-owner:active, .comment-owner:visited {
    color: black;
}

.comment-date {
    font-size: 0.6em;
    margin-left: 3px;
}

.user-info {
    position: relative;
}

.user-info-actions {
    position: absolute;
    top: 5px;
    right: 5px;
}

.btn-edit-user-info, .btn-edit-user-info:hover, .btn-edit-user-info:active, .btn-edit-user-info:visited {
    color: black;
    height: 30px;
    width: 30px;
    text-align: center;


}

.btn-edit-user-info svg:hover {
    color: #38e862;
}

.btn-edit-user-info svg:active {
    color: #2baa48;
}

.btn-delete-user{
    color: black;
    height: 30px;
    width: 30px;
    text-align: center;
    display: inline-block;
}

.btn-delete-user svg:hover {
    color: #ff3907;
}

.btn-delete-user svg:active {
    color: #b12805;
}

/*--------------------------------------------------------------------------------------------------------------------*/
.discussions-container {

}

.discussion_list {
    height: 100%;
    max-height: 100%;
}

.joined-discussions {
    min-height: 100px;
    overflow: auto;
}

.available-discussions {
    min-height: 100px;
    overflow: auto;
}

.discussion {
    min-height: 200px;

}

.discussion-item-title {
    display: inline-block;

}

.btn-leave-discussion {
    height: 30px;
    width: 30px;
    float: right;
    text-align: center;
    cursor: pointer;
}

.btn-leave-discussion svg:hover {
    color: #ff3907;
}

.btn-leave-discussion svg:active {
    color: #b12805;
}

.btn-join-discussion {
    height: 30px;
    width: 30px;
    float: right;
    text-align: center;
    cursor: pointer;
}

.btn-join-discussion svg:hover {
    color: #38e862;
}

.btn-join-discussion svg:active {
    color: #2baa48;
}

.btn-select-discussion {
    height: 30px;
    width: 30px;
    float: right;
    text-align: center;
    cursor: pointer;
}

.btn-select-discussion svg:hover {
    color: #0296ff;
}

.btn-select-discussion svg:active {
    color: #015b9e;
}

.discussion-title{

}

.message-content{
    display: inline-block;
}

.btn-delete-message{
    height: 30px;
    width: 30px;
    display: none;
    text-align: center;
    cursor: pointer;
}

.message-container:hover .btn-delete-message{
    display: inline-block;
}

.btn-delete-message svg:hover {
    color: #ff3907;
}

.btn-delete-message svg:active {
    color: #b12805;
}
